enter_password_on_mouse_level04_notebook = {}

enter_password_on_mouse_level04_notebook.params =
{
	image_number_prefix = "scenes_scene04_02_minigame_minigame02_number",	
	password = {1, 7, 0, 3},
	answer_pos = sf.misc.FloatVector(475, 221),
	answer_insets = 30,
	
	sound_on_click = "mini_game_mini_game_enter_password_on_mouse_button_push_03",
	
	sleep = 500.0 -- пауза перед сбрособ в случае неправильного ввода / пауза перед закрытием в случае правильного ввода
}

enter_password_on_mouse_level04_notebook.Init = function(_owner)
	enter_password_on_mouse.params = enter_password_on_mouse_level04_notebook.params
	enter_password_on_mouse.Init(_owner)
end

for p,v in pairs(enter_password_on_mouse) do
	if not enter_password_on_mouse_level04_notebook[p] then enter_password_on_mouse_level04_notebook[p] = v end
	if not enter_password_on_mouse_level04_notebook[p] then enter_password_on_mouse_level04_notebook[p] = v end
end
